Bug 428877 - intel driver with external monitor shows artefacts
intel driver with external monitor shows artefacts
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-15 15:40 EST by Valent Turkovic
Modified: 2008-06-29 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-29 09:46:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Desktop artifacts (845.66 KB, image/png)
2008-01-15 15:46 EST, Valent Turkovic
no flags Details
artefacts (194.99 KB, image/png)
2008-01-15 15:47 EST, Valent Turkovic
no flags Details
xorg.conf (802 bytes, application/octet-stream)
2008-01-15 18:05 EST, Valent Turkovic
no flags Details
Xorg.0.log (75.44 KB, text/plain)
2008-01-15 18:06 EST, Valent Turkovic
no flags Details
Xorg.0.log with Samsung 940N (54.41 KB, text/plain)
2008-01-16 06:27 EST, Valent Turkovic
no flags Details
Xorg.0.log with Philips 190V without xorg.conf (57.31 KB, text/plain)
2008-01-16 12:06 EST, Valent Turkovic
no flags Details
philips.after.update.artifacts.returned (57.31 KB, application/octet-stream)
2008-01-25 02:57 EST, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-01-15 15:40:06 EST
Description of problem:
When I plug my laptop to external samsung 19" monitor it works great, resolution
is set correctly to 1280x1024 and my laptop screen stays on with its own
resolution of 1280x800.

The problem is with artifacts that emerge when I scroll some application, like
firefox web browser (look at the attached photo).

If I move the nautilus window in the right part of the screen until the middle
nothing happens, but if the bottom part of the nautilus window (or any other)
crosses below 735 pixel the artifact lines emerge. 

It looks like desktops from laptop and external monitor intersect badly and that
some lines "spill" from one desktop to another.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plugin external monitor
2. turn on the laptop
3. profit :)
Actual results:

Expected results:

Additional info:
Comment 1 Valent Turkovic 2008-01-15 15:46:36 EST
Created attachment 291747 [details]
Desktop artifacts

Comment 2 Valent Turkovic 2008-01-15 15:47:17 EST
Created attachment 291748 [details]

Comment 3 Matěj Cepl 2008-01-15 16:19:20 EST
You know the drill:

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Valent Turkovic 2008-01-15 18:05:52 EST
Created attachment 291764 [details]
Comment 5 Valent Turkovic 2008-01-15 18:06:21 EST
Created attachment 291765 [details]
Comment 6 Valent Turkovic 2008-01-15 18:09:04 EST
this is with default xorg setup from fedora 8, I'll attach another log later
without any xorg.conf file but this should be enought for you X gurus :)
Comment 7 Matěj Cepl 2008-01-16 02:12:29 EST
It probably is.  But try it without xorg.conf anyway -- I had just now couple of
happy reporters whose problems went away by removing xorg.conf.

So, I will assign this to developers, but then switch that NEEDINFO, so that we
don't forget.
Comment 8 Valent Turkovic 2008-01-16 06:23:26 EST
I connected my laptop to another monitor  - Samsung SyncMaster 940N and on this
moniotor I have no artefacts!

I still have the same xorg.conf file and I'll attach the Xorg.0.log file in
attachement. And when I come from work I'll testi my home monitor (which has the
artifacts) without xorg.conf file.

I didn't expect that I'll have artifacts on one monitor and not on another,
really strange.
Comment 9 Valent Turkovic 2008-01-16 06:27:20 EST
Created attachment 291840 [details]
Xorg.0.log with Samsung 940N

this is the log file with same xorg.conf file on Samsung 940N. On this monitor
I don't see any artifacts.
Comment 10 Valent Turkovic 2008-01-16 06:54:16 EST
On xorg mailing list they told me that this bug is probably fixed in intel 2.2.0
driver and I see fedora 8 uses 2.1.1.

Any chance of upgrading intel driver in fedora?
Comment 11 Valent Turkovic 2008-01-16 12:06:13 EST
Created attachment 291865 [details]
Xorg.0.log with Philips 190V without xorg.conf

I have no artifacts when I remove xorg.conf
Comment 12 Valent Turkovic 2008-01-16 12:09:13 EST
Running my laptop without xorg.conf isn0t acceptabe because I use croatian
keyboard layout and removing it I loose mt keyboard mapping. I needed 5x time to
write this text and was a bit frustrating.

Can I only remove a part of xorg.conf and leave the part about keyboard?
Comment 13 Matěj Cepl 2008-01-16 13:04:20 EST
Take a look at your /var/log/Xorg.0.log -- the version of xorg.conf with your
current settings should be dumped there.
Comment 14 Valent Turkovic 2008-01-16 14:44:04 EST
in comment #4 you can see my current xorg.conf

when I use that xorg.conf on philips LCD I get artifacts, when connect samsung
lcd monitor with same xorg.conf file I have no artifacts.

When I remove xorg.conf philips monitor also has no artifacts and you can see
the log without xorg.conf in comment #11

Do you need some other feedback from me?
Comment 15 Valent Turkovic 2008-01-22 05:46:56 EST
Comment 16 Valent Turkovic 2008-01-25 02:55:58 EST
Today fedora 8 had 14 updates, after installing and rebooting the new kernel the
artifacts have returned on Philips 190V 19" LCD! I don't have xorg.conf and I
still see the artifacts. I'll attach the logs.
Comment 17 Valent Turkovic 2008-01-25 02:57:18 EST
Created attachment 292914 [details]
Comment 18 Valent Turkovic 2008-01-25 22:01:45 EST
I turned on my laptop now and I didn't change any settings and I didn't install
any updates (there weren't any) and the artifacts are gone again.

This seams random... your thoughts?
Comment 19 Matěj Cepl 2008-01-28 11:45:53 EST
No idea. Yeah, this is random, and we will deal with it when will be able to
deal with it.

Could you please not send me emails to my email address? We really want to have
whole conversation logged in bugzilla. Thank you.
Comment 20 Valent Turkovic 2008-03-29 10:40:59 EDT
I'm seening this again after latest updates and I haven't seen in under Fedora 8
for some time now.

Under Fedora 9 is seams to be fixed. Will intel driver be updated for Fedora 8 also?
Comment 21 Valent Turkovic 2008-04-28 03:48:19 EDT
I'm not seeing this in Fedora 8 anymore. So please check for yourself and then
close the bug.
Comment 22 Peter van Egdom 2008-06-29 09:46:34 EDT
Thanks for reporting back. Closing bug as per comment #20 and comment #21.

Note You need to log in before you can comment on or make changes to this bug.